API docs / Image models
Ideogram 3 Quality API
Generates high-quality images from text prompts with enhanced photorealism and precise text rendering capabilities. Features style reference support for controlling generation aesthetics using up to 3 reference images, access to 4.3 billion style presets, and sophisticated spatial compositions with precise lighting and color control. Supports complex text compositions and typesetting for graphic design applications including logos, promotional materials, advertising, and marketing content. Also supports inpainting with mask images to selectively edit portions of input images.
- Model id
ideogram-ai/ideogram-v3-quality- Provider
- ideogram-ai
- Output
- Image
- Price
- From 32 credits per run, the same as on voor.ai. Options such as length or resolution can change it.
Request
POST https://voor.ai/v1/generations with "model": "ideogram-ai/ideogram-v3-quality". Poll GET /v1/tasks/{id} or receive the signed webhook. See the overview for keys, idempotency, webhooks and errors.
curl https://voor.ai/v1/generations \
-H "Authorization: Bearer $VOOR_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $(uuidgen)" \
-d '{
"model": "ideogram-ai/ideogram-v3-quality",
"input": {
"prompt": "A red fox standing in fresh snow at golden hour, soft light"
},
"callback_url": "https://example.com/webhooks/voor"
}'
# Then poll the task (or wait for the webhook):
curl https://voor.ai/v1/tasks/TASK_ID \
-H "Authorization: Bearer $VOOR_API_KEY"Input parameters
| Name | Type | Details |
|---|---|---|
promptrequired | string | Text prompt for image generation |
reference_images | array of URLs | An image file to use for inpainting. You must also use a mask. Up to 1 files · Accepts image/* |
mask | array of URLs | A black and white image. Black pixels are inpainted, white pixels are preserved. The mask will be resized to match the image size. Up to 1 files · Accepts image/* |
style_reference_images | array of URLs | A list of images to use as style references. Up to 10 files · Accepts image/* |
aspect_ratio | string | Default: One of: 1:3, 3:1, 1:2, 2:1, 9:16, 16:9, 10:16, 16:10, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 1:1 |
resolution | string | Default: One of: none, 512x1536, 576x1408, 576x1472, 576x1536, 640x1344, 640x1408, 640x1472, 640x1536, 704x1152, 704x1216, 704x1280, 704x1344, 704x1408, 704x1472, 736x1312, 768x1088, 768x1216, 768x1280, 768x1344, 800x1280, 832x960, 832x1024, 832x1088, 832x1152, 832x1216, 832x1248, 864x1152, 896x960, 896x1024, 896x1088, 896x1120, 896x1152, 960x832, 960x896, 960x1024, 960x1088, 1024x832, 1024x896, 1024x960, 1024x1024, 1088x768, 1088x832, 1088x896, 1088x960, 1120x896, 1152x704, 1152x832, 1152x864, 1152x896, 1216x704, 1216x768, 1216x832, 1248x832, 1280x704, 1280x768, 1280x800, 1312x736, 1344x640, 1344x704, 1344x768, 1408x576, 1408x640, 1408x704, 1472x576, 1472x640, 1472x704, 1536x512, 1536x576, 1536x640 |
style | string | Default: One of: None, Auto, General, Realistic, Design |
seed | number | Random seed. Set for reproducible generation Max 2147483647 |
magic_prompt_option | string | Default: One of: Auto, On, Off |
style_preset | string | Default: One of: None, 80s Illustration, 90s Nostalgia, Abstract Organic, Analog Nostalgia, Art Brut, Art Deco, Art Poster, Aura, Avant Garde, Bauhaus, Blueprint, Blurry Motion, Bright Art, C4D Cartoon, Children's Book, Collage, Coloring Book I, Coloring Book II, Cubism, Dark Aura, Doodle, Double Exposure, Dramatic Cinema, Editorial, Emotional Minimal, Ethereal Party, Expired Film, Flat Art, Flat Vector, Forest Reverie, Geo Minimalist, Glass Prism, Golden Hour, Graffiti I, Graffiti II, Halftone Print, High Contrast, Hippie Era, Iconic, Japandi Fusion, Jazzy, Long Exposure, Magazine Editorial, Minimal Illustration, Mixed Media, Monochrome, Nightlife, Oil Painting, Old Cartoons, Paint Gesture, Pop Art, Retro Etching, Riviera Pop, Spotlight 80s, Stylized Red, Surreal Collage, Travel Poster, Vintage Geo, Vintage Poster, Watercolor, Weird, Woodblock Print |